<?php


use WooBooking\CMS\Utilities\Utility;

defined('_WPBOOKINGPRO_EXEC') or die;
extract($displayData);


WpBookingPro_Html::_('jquery.framework');
WpBookingPro_Html::_('jquery.dateselect');
WpBookingPro_Html::_('script', 'system/html5fallback.js',
	array('version' => 'auto', 'relative' => true, 'conditional' => 'lt IE 9'));
$list = '';
if ($options) {
	$list = 'list="' . $id . '_datalist"';
}
$autocomplete = !$autocomplete ? ' autocomplete="off"' : ' autocomplete="' . $autocomplete . '"';
$autocomplete = $autocomplete === ' autocomplete="on"' ? '' : $autocomplete;
$attributes = array(
	!empty($class) ? 'class="' . $class . '"' : '',
	!empty($size) ? 'size="' . $size . '"' : '',
	$disabled ? 'disabled' : '',
	$readonly ? 'readonly' : '',
	$list,
	strlen($hint) ? 'placeholder="' . htmlspecialchars($hint, ENT_COMPAT, 'UTF-8') . '"' : '',
	$onchange ? ' onchange="' . $onchange . '"' : '',
	!empty($maxLength) ? $maxLength : '',
	$required ? 'required aria-required="true"' : '',
	$autocomplete,
	$autofocus ? ' autofocus' : '',
	$spellcheck ? '' : 'spellcheck="false"',
	!empty($inputmode) ? $inputmode : '',
	!empty($pattern) ? 'pattern="' . $pattern . '"' : '',
);
$doc = Factory::getDocument();
$id_by_name = "element_field_" . str_replace(array('[', ']'), '_', $name);
?>
    <div id="<?php esc_html_e($id_by_name) ?>" class="field-birthday">
        <div class="row">
            <div class="col-md-12">
                <div class="input-group">
                    <input type="text" id="date-<?php esc_html_e($name); ?>" name="<?php esc_html_e($name); ?>" value="<?php esc_html_e($value) ?>" class="form-control" data-select="date" />
                    <span class="input-group-btn">
                    <button class="btn btn-primary" type="button" data-toggle="select"><i class="fa fa-calendar"></i></button>
                </span>
                </div>
            </div>
        </div>
    </div>
<?php
$doc->addScriptApplySelector('.field-birthday','field_birthday',array(
    "input_name"=>  $name,
),'admin/nb_apps/nb_woobooking/layouts/WooBooking/form/field/jquery.birthday.js');
